%define upstream_name Test-NoSmartComments
%define upstream_version 0.005

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Make sure no Smart::Comments escape into the wild
License:	LGPLv2
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(File::chdir)
BuildRequires:	perl(Module::ScanDeps)
BuildRequires:	perl(Smart::Comments)
BuildRequires:	perl(Test::CheckDeps)

BuildArch:	noarch

%description
Smart::Comments are great. However, letting smart comments escape into
the wilds of the CPAN is just dumb.

This package provides a simple way to test for smart comments _before_
they get away!

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-6.mga8
+ Revision: 1497419
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-5.mga7
+ Revision: 1271980
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-4.mga6
+ Revision: 1034428
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.5.0-3.mga6
+ Revision: 971844
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.5.0-2.mga6
+ Revision: 893207
- BR perl(Module::ScanDeps)

* Sun Jun 28 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 846550
- imported package perl-Test-NoSmartComments

